<?php

namespace App\Modules\FactTypeOperation\Application\List;

use App\Modules\FactTypeOperation\Domain\FactTypeOperationRepository;
use App\Modules\FactTypeOperation\Domain\ListFactTypeOperation;

final class FactTypeOperationLister
{
    public function __construct(private FactTypeOperationRepository $repository)
    {
    }

    public function __invoke(string $action)
    {
        return $this->repository->search(new ListFactTypeOperation($action));
    }
}
